khal (1:0.11.3-3) unstable; urgency=medium

  * add patches to use icalendar v6;
    tighten build-dependency on python3-icalendar;
    closes: bug#1087613, thanks to Martin Dosch and Sébastien Delafond

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Nov 2024 00:38:35 +0100

khal (1:0.11.3-2) unstable; urgency=medium

  * fix generate shell completion scripts;
    closes: bug#1079189, thanks to Simon Ruderich

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Aug 2024 09:48:06 +0200

khal (1:0.11.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Feb 2024 07:51:25 +0100

khal (1:0.11.2-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to make ikhal work with urwid 2.4.2;
    closes: bug#1063148, thanks to cacatoès

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Feb 2024 20:54:15 +0100

khal (1:0.11.2-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage
  * add patches cherry-picked upstream:
    + fix tests
    + fix an issue with updating the eventlist after editing
    + fix issue after reset of eventlist
    + fix deleting of multiple instances
  * add patch 2005
    to adapt a few tests seemingly tied to icalendar 5;
    tighten build-dependency on python3-icalendar
  * add patch 2006
    to adapt a few tests seemingly tied to pytz;
    tighten build-dependency on python3-tz

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jul 2023 00:27:43 +0200

khal (1:0.11.2-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tidy rules file comments
  * drop patch cherry-picked upstream now applied
  * unfuzz patches
  * build-depend on python3-hypothesis

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 20:29:08 +0200

khal (1:0.10.5-1) unstable; urgency=medium

  [ upstream ]
  * new release
    * fix tzlocal issue;
      closes: bug#1007255, #1023341, thanks to Guillem Jover and others

  [ Jonas Smedegaard ]
  * stop repackage upstream source:
    autogenerated file no longer included with upstream source
  * drop patches cherry-picked upstream since applied
  * rename upstream cherry-picked patch
    to match patch naming micro-policy
  * unfuzz patches
  * build-depend on python3-sphinx-rtd-theme
    (not python3-alabaster)
  * set Rules-Requires-Root: no
  * update copyright info: update coverage
  * update build routines to resolve version from CHANGELOG;
    add comments clarifying version resolving hack,
    thanks to Daniele Tricoli
  * update generating shell completion;
    build-depend on dh-sequence-bash-completion;
    suggest bash-completion

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Dec 2022 17:31:23 +0100

khal (1:0.10.4~ds-4) unstable; urgency=medium

  * Team upload.
  * Pick parts of upstream commit as patch to fix FTBFS
    with new pytz (Closes: #1020107)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Add B-D on python3-packaging with nocheck profile

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Oct 2022 21:51:18 +0530

khal (1:0.10.4~ds-3) unstable; urgency=medium

  * add patch 2004 to resolve upstream version from file (not from VCS);
    generate version.py before build and before clean;
    stop build-depend on python3-setuptools-scm;
    do upstream cleanup only with patches applied;
    closes: bug#1002406, thanks to Lucas Nussbaum
  * tighten lintian overrides
  * update copyright info: update coverage
  * add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jan 2022 16:41:10 +0100

khal (1:0.10.4~ds-2) unstable; urgency=medium

  * add patches cherry-picked upstream
    to fix running tests in a container
  * declare compliance with Debian Policy 4.6.0
  * relax to (build-)depend unversioned
    on python3-click python3-icalendar vdirsyncer:
    required versions satisfied in all supported Debian releases
  * update copyright info:
    + use Reference field (not License-Reference)
    + fix license grant for packaging

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 18:36:29 +0200

khal (1:0.10.4~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 branches upstream/latest debian/latest
    + avoid any .git* files
    + use pristine-tar
    + sign tags
    + add usage comment
  * update watch file:
    + track GitHub source
    + use file format 4
    + mention gbp --uscan in usage comment
    + use substitution strings
  * repack upstream source without autogenerated version.py file
  * update copyright info:
    + update coverage
    + license packaging as GPL-3+
    + add lintian overrides about Reference field
    + list GitHub issue tracker as preferred upstream contact
  * use semantic newlines in long description and copyright fields
  * improve long descriptions
  * use debhelper compatibility level 12 (not 10);
    build-depend on dh-sequence-python3 dh-sequence-sphinxdoc
    (not dh-python)
  * stop needlessly build-depend on locales-all
  * copy and then declaratively install example config file;
    stop build-depend on dh-exec
  * add patch 1001 to use python3 in upstream custom executables;
    install upstream custom executables,
    overriding allegedgy slower autogenerated ones
  * unfuzz patches
  * rename patches and tighten DEP-3 headers,
    and add debian/patches/README documenting micro-naming-policy
  * stop skip some tests: apparently all succeed now

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Sep 2021 18:12:36 +0200

khal (1:0.10.3-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream since applied
  * add myself as uploader;
    see bug#925522

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 May 2021 22:12:35 +0200

khal (1:0.10.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  * skip unstable tests;
    closes: bug#981228, thanks to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 20:56:02 +0100

khal (1:0.10.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * new releases:
    0.10.1
    + fix new color priority system and discover calendar type
    + fix order search results in ikhal
    0.10.2
    + Parse X-ANNIVERSARY, ANNIVERSARY and X-ABDATE fields from vcards
    + Add ability to change default event duration
      with default_event_duration and default_dayevent_duration
      for an day-long event
    + Add {uid} property to template options in --format
    + fix warning when importing event with Windows timezone format
    + fix crash launching external editor in ikhal
    + fix calculate left pane width in ikal
      when frame is width or color in configuration
    + remove timezones check in UNTIL not in DTSTART and vice-versa
      closes: bug#921257, thanks to Santiago Vila and Helmut Grohne

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream since applied
  * add patches cherry-picked upstream:
    + fix accept -a -d options in ikhal
    + fix strip whitespace when loading displayname and color files
    + fix warn when loading events
      with a recurrence that finishes before it starts
    + fix avoid crash in ikhal on alarms without descriptions
    + fix display all-day events at the top of the day in ikhal
    + fix avoid crash in ikhal on keybindings in empty search results
    + fix avoid crash in ikhal on new keybinding in search
  * drop patches 0004 0006 0007,
    obsoleted by improved upstream testsuite
  * unfuzz patches
  * cleanup upstream build noise and autogenerated version file

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Jan 2021 12:16:00 +0100

khal (1:0.9.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch cherry-picked upstream to fix parse categories as list,
    superseding patch 0008 only fixing testsuite.
    Tighten build-dependency on python3-icalendar.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Mar 2019 09:56:46 +0100

khal (1:0.9.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Non-maintainer upload.

  [ Filip Pytloun ]
  * d/compat: Raise to version 12
  * d/control: Raise standards version to 4.3.0
  * d/control: Depend on vdirsyncer 0.16.7, Closes: #918279

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 22 Jan 2019 11:56:29 +0100

khal (1:0.9.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jonas Smedegaard ]
  * New upstream version 0.9.6.1
    Closes: Bug#908497. Thanks to Paul Gevers and Adrian Bunk.
  * Unfuzz patch 0007.
  * Add patch 0008 to fix pass categories as list in test.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2018 15:39:05 +0100

khal (1:0.9.8-1) unstable; urgency=medium

  * New upstream version

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 11 Dec 2017 16:01:18 +0100

khal (1:0.9.6-3) unstable; urgency=medium

  * d/patches: removed patch modifying upstream license file

 -- Filip Pytloun <filip@pytloun.cz>  Thu, 17 Aug 2017 15:22:24 +0200

khal (1:0.9.6-2) unstable; urgency=medium

  * Fix FTBFS by marking test that requires stdin as xfail,
    Upstream bug: https://github.com/pimutils/khal/issues/683
    (Closes: #868773)
  * Raise debhelper compat to 10
  * Raise standards version to 4.0.0
  * Remove unwanted license.rst.txt file from docs

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 18 Jul 2017 22:51:30 +0200

khal (1:0.9.6-1) unstable; urgency=medium

  * New upstream version (Closes: #867797)
  * d/patches: rebase for new release

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 18 Jul 2017 11:49:34 +0200

khal (1:0.9.5-4) experimental; urgency=medium

  * Add locales-all into build dependencies as all locales are needed to
    execute tests (open-infrastructure-locales-c.utf-8 that also satisfies
    locales requirement doesn't provide all required locales)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 09 May 2017 13:59:57 +0200

khal (1:0.9.5-3) experimental; urgency=medium

  * New upstream version
  * d/patches: rebase for new version
  * d/patches: drop patch
    0006-Tolerate-occassionally-failing-update_db-related-tes.patch which
    should not be needed anymore
  * Suggest khal-doc (Closes: #861813)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 09 May 2017 11:57:40 +0200

khal (1:0.8.4-4) unstable; urgency=medium

  * Raise epoch to "revert" new upstream version in unstable and pass
    stretch migration
  * d/copyright: mention presence of
    0002-Reference-license-from-copyright-file.patch (Closes: #860984)
  * d/copyright: add upstream contact
  * d/copyright: update copyright year
  * d/patches: some TZ tests may fail due to Debian's python-tz of older
    version but with newer TZ definitions, should be removed when 2017.2
    reaches sid (Closes: #859472)

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 03 May 2017 14:08:59 +0200

khal (0.8.4-3) unstable; urgency=medium

  * d/patches: tolerate more occasionally failing tests where
    coll.update_db() is called, fixes random FTBFS (Closes: #851417)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 17 Jan 2017 19:30:32 +0100

khal (0.8.4-2) unstable; urgency=medium

  * d/patches: disable occasionally failing test_default_calendar
    (Closes: #844081)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 02 Jan 2017 22:18:08 +0100

khal (0.8.4-1) unstable; urgency=high

  * New upstream release
  * d/patches: Rebased for new release

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 31 Oct 2016 14:22:27 +0100

khal (0.8.3-1) unstable; urgency=medium

  * initial release (Closes: #745025)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 05 Sep 2016 10:06:20 +0200
